Package org.kapott.hbci.passport

## Class HBCIPassportList

- java.lang.Object
- - org.kapott.hbci.passport.HBCIPassportList

    public class HBCIPassportList
    extends java.lang.Object

### Constructor Summary

Constructors
`HBCIPassportList()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addAll​(HBCIPassportList passportList)`
`void` `addPassport​(HBCIPassportInternal passport, java.lang.String role)`
`void` `clear()`
`HBCIPassportInternal` `getMainPassport()`
`HBCIPassportInternal` `getPassport​(int idx)`
`java.lang.String` `getRole​(int idx)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIPassportList

    public HBCIPassportList()

### Method Detail

#### addPassport

    public void addPassport​(HBCIPassportInternal passport,
                            java.lang.String role)

#### addAll

    public void addAll​(HBCIPassportList passportList)

#### getMainPassport

    public HBCIPassportInternal getMainPassport()

#### getPassport

    public HBCIPassportInternal getPassport​(int idx)

#### getRole

    public java.lang.String getRole​(int idx)

#### size

    public int size()

#### clear

    public void clear()